debian.org / О Debian Где взять Debian Поддержка Уголок разработчика Новости Wiki

Автор Тема: Установка свежих версий Libreoffice и Mozilla из репозитория  (Прочитано 43277 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Malaheenee

  • Ветеран
  • *****
  • Сообщений: 2565
  • Учтите, мы можем дать и вредный совет.
Re: Iceweasel 10 для Wheezy
« Ответ #15 : 20 Февраль 2012, 13:45:38 »
Тут все понятно: 10-ка еще в сиде, никак не переползет в тестинг. Видимо решают, не собрать ли ESR-версию. Подключите репы сида и установите оттуда (aptitude install -t sid iceweasel  iceweasel-l10n-ru, он их обновит). По идее, ничего поломаться не должно.
В бэкпортах для стейбла, что странно, 1-ка есть ???
Debian Sid: XFCE x 1, openbox x 2.
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн spinner88

  • Транквилизатор
  • Местный житель
  • ***
  • Сообщений: 114
  • зайка
Re: Iceweasel 10 для Wheezy
« Ответ #16 : 20 Февраль 2012, 14:04:02 »
Видите ли, мне все это известно  :)
а сообщение мое первое в теме "репозитарий" было обращено к сборщику deb, с просьбой собрать релиз для Wheezy вместе с поддержкой русского языка. А вы меня, кудрявого, с маху головой в вики.
 :)
Ваш S.
Наши правила.

Согласно социологического опроса установлено, что 92% населения пользуются автомобилями отечественного автопрома. Это Германия же.
Ноутбук-дебиан-гном.
 

Оффлайн Brainey

  • Ветеран
  • *****
  • Сообщений: 1943
  • Jabber: brainey@jabber.cz
Re: Iceweasel 10 для Wheezy
« Ответ #17 : 20 Февраль 2012, 14:44:52 »
spinner88, mozilla.debian.net - там все есть, даже языковые пакеты. Читайте вики, а?
mozilla.debian - репозиторий для stable, а не testing/wheezy. Во всяком случае, для версии release. Для beta там рекомендуется подключить experimental. Ещё доступны пакеты с aurora.
« Последнее редактирование: 20 Февраль 2012, 15:14:16 от Brainey »
Конференция форума в jabber: debianforum@conference.jabber.ru | Клуб кедоводов: kde@conference.jabber.ru
 

Оффлайн Malaheenee

  • Ветеран
  • *****
  • Сообщений: 2565
  • Учтите, мы можем дать и вредный совет.
Re: Iceweasel 10 для Wheezy
« Ответ #18 : 20 Февраль 2012, 18:13:48 »
spinner88, сомнительно, что кто-то будет его собирать, когда он и так есть. Тем более Sterios не мэйнтейнер, а администратор репозитория. Так что если хотите помочь и собрать для тестинга айсвезел - милости просим.
Debian Sid: XFCE x 1, openbox x 2.
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн Makar723

  • Пользователь
  • *
  • Сообщений: 29
Re: Установка Libreoffice и Mozilla из репозитория
« Ответ #19 : 23 Февраль 2012, 13:47:22 »
Доброго времени суток!
Пытался установить так, как было написано выше LibreOffice. К сожалению, не получилось. Прошу помощи:
source.list
Spoiler: ShowHide

deb cdrom:[Debian GNU/Linux 6.0.2.1 _Squeeze_ - Official amd64 CD Binary-1 20110626-16:33]/ squeeze main

#Debian Backports
deb http://backports.debian.org/debian-backports squeeze-backports main contrib non-free

после этого:
Spoiler: ShowHide

root@makar723:/home/makar723# aptitude update
Игн cdrom://[Debian GNU/Linux 6.0.2.1 _Squeeze_ - Official amd64 CD Binary-1 20110626-16:33] squeeze Release.gpg
Игн cdrom://[Debian GNU/Linux 6.0.2.1 _Squeeze_ - Official amd64 CD Binary-1 20110626-16:33]/ squeeze/main Translation-en
Игн cdrom://[Debian GNU/Linux 6.0.2.1 _Squeeze_ - Official amd64 CD Binary-1 20110626-16:33]/ squeeze/main Translation-ru
Игн cdrom://[Debian GNU/Linux 6.0.2.1 _Squeeze_ - Official amd64 CD Binary-1 20110626-16:33] squeeze Release
Игн cdrom://[Debian GNU/Linux 6.0.2.1 _Squeeze_ - Official amd64 CD Binary-1 20110626-16:33] squeeze/main amd64 Packages/DiffIndex
Получить:1 http://backports.debian.org squeeze-backports Release.gpg [836 B]
Игн http://backports.debian.org/debian-backports/ squeeze-backports/contrib Translation-en
Игн http://backports.debian.org/debian-backports/ squeeze-backports/contrib Translation-ru
Игн http://backports.debian.org/debian-backports/ squeeze-backports/main Translation-en
Игн http://backports.debian.org/debian-backports/ squeeze-backports/main Translation-ru
Игн http://backports.debian.org/debian-backports/ squeeze-backports/non-free Translation-en
Игн http://backports.debian.org/debian-backports/ squeeze-backports/non-free Translation-ru
Получить:2 http://backports.debian.org squeeze-backports Release [77,6 kB]
Из кэша: http://backports.debian.org squeeze-backports/main amd64 Packages/DiffIndex
Из кэша: http://backports.debian.org squeeze-backports/contrib amd64 Packages/DiffIndex
Из кэша: http://backports.debian.org squeeze-backports/non-free amd64 Packages/DiffIndex
Из кэша: http://backports.debian.org squeeze-backports/main amd64 Packages
Получено 78,5 kБ в 1с (73,0 kБ/с)

удаление openoffice:
Spoiler: ShowHide
root@makar723:/home/makar723# aptitude purge openoffice.org~n
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0 B архивов. После распаковки 0 B будет занято.
                                                 
root@makar723:/home/makar723#


пытаюсь поставить libreoffice, выдает такое:
Spoiler: ShowHide
root@makar723:/home/makar723# aptitude install -R -t squeeze-backports libreoffice
Следующие НОВЫЕ пакеты будут установлены:       
  iso-codes{a} libgstreamer-plugins-base0.10-0{a} libgstreamer0.10-0{a}
  libicu44{a} libreoffice{b} libreoffice-base{ab} libreoffice-base-core{a}
  libreoffice-calc{ab} libreoffice-common{a} libreoffice-core{ab}
  libreoffice-draw{a} libreoffice-filter-mobiledev{ab}
  libreoffice-impress{a} libreoffice-java-common{ab} libreoffice-math{a}
  libreoffice-report-builder-bin{a} libreoffice-style-galaxy{a}
  libreoffice-writer{a} libxaw7{a} libxmu6{a} libxpm4{a} libxslt1.1{a}
  ttf-opensymbol{a} uno-libs3{a} ure{a}
РЕКОМЕНДУЮТСЯ следующие пакеты, но автоматически они установлены НЕ БУДУТ:
  libreoffice-emailmerge libreoffice-filter-binfilter
0 пакетов обновлено, 25 установлено новых, 0 пакетов отмечено для удаления, и 10 пакетов не обновлено.
Необходимо получить 99,9 MB/113 MB архивов. После распаковки 320 MB будет занято.
Следующие пакеты имеют неудовлетворённые зависимости:
  libreoffice-base: Зависит: default-jre который является виртуальным пакетом. или
                                    gcj-jre который является виртуальным пакетом. или
                                    java-gcj-compat который является виртуальным пакетом. или
                                    openjdk-6-jre который является виртуальным пакетом. или
                                    openjdk-7-jre который является виртуальным пакетом. или
                                    sun-java5-jre который является виртуальным пакетом. или
                                    sun-java6-jre который является виртуальным пакетом. или
                                    java5-runtime который является виртуальным пакетом. или
                                    jre который является виртуальным пакетом.
                    Зависит: libhsqldb-java (> 1.8.0.10) который является виртуальным пакетом.
                    Зависит: libhsqldb-java (< 1.8.1~) который является виртуальным пакетом.
  libreoffice: Зависит: ttf-dejavu который является виртуальным пакетом.
               Зависит: ttf-sil-gentium-basic который является виртуальным пакетом.
               Зависит: liblucene2-java (>= 2.3.2) который является виртуальным пакетом.
  libreoffice-calc: Зависит: libcolamd2.7.1 (>= 1:3.4.0) который является виртуальным пакетом.
                    Зависит: lp-solve (>= 5.5.0.13-5+b1) который является виртуальным пакетом.
  libreoffice-java-common: Зависит: libjaxp1.3-java который является виртуальным пакетом.
                           Зависит: libserializer-java-openoffice.org который является виртуальным пакетом.
                           Зависит: libxerces2-java который является виртуальным пакетом.
  libreoffice-filter-mobiledev: Зависит: default-jre который является виртуальным пакетом. или
                                                gcj-jre который является виртуальным пакетом. или
                                                java-gcj-compat который является виртуальным пакетом. или
                                                openjdk-6-jre который является виртуальным пакетом. или
                                                openjdk-7-jre который является виртуальным пакетом. или
                                                sun-java5-jre который является виртуальным пакетом. или
                                                sun-java6-jre который является виртуальным пакетом. или
                                                java5-runtime который является виртуальным пакетом. или
                                                jre который является виртуальным пакетом.
  libreoffice-core: Зависит: libcurl3-gnutls (>= 7.16.2-1) который является виртуальным пакетом.
                    Зависит: libhyphen0 (>= 2.4) который является виртуальным пакетом.
                    Зависит: libneon27-gnutls (>= 0.29.3) который является виртуальным пакетом.
                    Зависит: librdf0 (>= 1.0.9) который является виртуальным пакетом.
Следующие действия разрешат зависимости:

      Сохранить для следующих пакетов их текущие версии:
1)      libreoffice [Не установлен]                     
2)      libreoffice-base [Не установлен]               
3)      libreoffice-base-core [Не установлен]           
4)      libreoffice-calc [Не установлен]               
5)      libreoffice-common [Не установлен]             
6)      libreoffice-core [Не установлен]               
7)      libreoffice-draw [Не установлен]               
8)      libreoffice-filter-mobiledev [Не установлен]   
9)      libreoffice-impress [Не установлен]             
10)     libreoffice-java-common [Не установлен]         
11)     libreoffice-math [Не установлен]               
12)     libreoffice-report-builder-bin [Не установлен] 
13)     libreoffice-style-galaxy [Не установлен]       
14)     libreoffice-writer [Не установлен]             



Принять данное решение? [Y/n/q/?] y
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 10 пакетов не обновлено.
Необходимо получить 0 B архивов. После распаковки 0 B будет занято.
                                                 
root@makar723:/home/makar723#
 

Оффлайн Brainey

  • Ветеран
  • *****
  • Сообщений: 1943
  • Jabber: brainey@jabber.cz
Re: Установка Libreoffice и Mozilla из репозитория
« Ответ #20 : 23 Февраль 2012, 14:05:48 »
Makar723, подключите и основные репозитории, кроме backports.
Насчет удаления openoffice: вы уверены, что он у вас установлен?
Конференция форума в jabber: debianforum@conference.jabber.ru | Клуб кедоводов: kde@conference.jabber.ru
 

Оффлайн Makar723

  • Пользователь
  • *
  • Сообщений: 29
Re: Установка Libreoffice и Mozilla из репозитория
« Ответ #21 : 23 Февраль 2012, 21:46:13 »
Насчет удаления openoffice: вы уверены, что он у вас установлен?
да, уверен! потому как если зайти: приложения, офис, то там есть опеноффис, причем он запускается...
за подключение основных репозиториев спасибо!
« Последнее редактирование: 24 Февраль 2012, 14:27:12 от Brainey »
 

Оффлайн alkbsd

  • Новичок форума
  • Сообщений: 5
При подключениии репозитария:

deb http://backports.debian.org/debian-backports squeeze-backports main contrib non-free

Когда обновляемся : # aptitude update
Не обновляется и выдаеться ошибка на PGP ключь ... NO_PUBKEY 85A3D26506C4AE2A ...
----------------------
Решение есть : 
http://enavas.blogspot.com/2012/03/importar-la-clave-publica-de-un.html

или кратко так:
1) # gpg --keyserver subkeys.pgp.net --recv 85A3D26506C4AE2A
2) # gpg --fingerprint 06C4AE2A
pub   4096R/06C4AE2A 2010-11-20 [caduca: 2012-11-14]
      Huella de clave = 85F0 6FBC 75E0 67C3 F305  C3C9 85A3 D265 06C4 AE2A
uid                  Debian Mozilla team APT archive
3) # gpg --armor --output mozilla-team.asc --export 06C4AE2A
4) # apt-key add mozilla-team.asc
5) # aptitude update

Все должно пройти без ошибки.

Не используйте лишние пустые строки в сообщениях. Уважайте других участников форума, не все из которых имеют счастье быть обладателями 24-дюймового монитора. Malaheenee
« Последнее редактирование: 07 Август 2012, 13:42:49 от Malaheenee »
 

Оффлайн Zaxar

  • Новичок форума
  • Сообщений: 8
Привет!
В голове каша..
Установил "LibreOffice 3.5.4.2",  как тут выше излож.
Офисный пакет успешно установился в систему, но нет русской локализации.
Посмотрел тут : http://ru.libreoffice.org/download/, тут текущ. версия LibO_3.6.2 - русс локализация есть.
Как можно обновить 3.5.4.2 , до 3.6.2 , или установить на 3.5.4.2 русс локаль.
« Последнее редактирование: 11 Октябрь 2012, 23:53:02 от Zaxar »
 

Оффлайн Udachnik

  • Ветеран
  • *****
  • Сообщений: 1450
Привет!
В голове каша..
Установил "LibreOffice 3.5.4.2",  как тут выше излож.
Офисный пакет успешно установился в систему, но нет русской локализации.
Посмотрел тут : http://ru.libreoffice.org/download/, тут текущ. версия LibO_3.6.2 - русс локализация есть.
Как можно обновить 3.5.4.2 , до 3.6.2 , или установить на 3.5.4.2 русс локаль.
# aptitude -t squeeze-backports install libreoffice-l10n-ru
 

Оффлайн Zaxar

  • Новичок форума
  • Сообщений: 8

  Спасибо. Оказалось так просто.
  Я понимаю примерно так  ставим локали и других дистрибутивов?
 

Оффлайн Alexey_F

  • Местный житель
  • ***
  • Сообщений: 153
  Я понимаю примерно так  ставим локали и других дистрибутивов?
(Видимо, имелось в виду "из других дистрибутивов".)

Нет, "логически" дистрибутив всё тот же, только ветка backports, т.к. мы хотим свежак.
Однако формально таки да, именно что дистрибутив другой - squeeze-backports. (man sources.list)

Параметром -t принудительно указывается ветка. Это нужно из-за того, что пакеты из backports не ставятся, если есть альтернатива. (подробности: тык)
 

Оффлайн Zaxar

  • Новичок форума
  • Сообщений: 8

 Спасибо, Alexey_F, это похоже  усвоил.
 

Оффлайн calambus

  • Почетный пользователь форума
  • Старожил
  • ****
  • Сообщений: 554
  • Ушел из жизни 14.07.2013
Столкнулся с похожей ситуацией при установке последней версии Iceweasel 18.0.2 в Debian Weezy ,
собственно говоря всё это было нужно чтобы установить плагин для Firefox/Iceweasel UnMHT .
Помогла эта статья ...
Нужно в /etc/apt/sources.list отключить все  рабочие репозитории и добавить следующие :
# подключить эти репозитории для установки последней версии Iceweasel  и выполнить команду :
# "# apt-get update && apt-get -t experimental install iceweasel iceweasel-l10n-ru"
deb ftp://mirror.yandex.ru/debian testing main contrib non-free
deb ftp://mirror.yandex.ru/debian sid main
deb ftp://mirror.yandex.ru/debian experimental main
затем установить Iceweasel
# apt-get update && apt-get -t experimental install iceweasel iceweasel-l10n-ruпосле успешной установки последней версии Iceweasel подключить рабочие репозитории и отключить или удалить дополнительные .

« Последнее редактирование: 12 Февраль 2013, 13:07:38 от calambus »
 

John

  • Гость
Столкнулся с похожей ситуацией при установке последней версии Iceweasel 18.0.2 в Debian Weezy ,
собственно говоря всё это было нужно чтобы установить плагин для Firefox/Iceweasel UnMHT .
Помогла эта статья ...
Нужно в /etc/apt/sources.list отключить все  рабочие репозитории и добавить следующие :
# подключить эти репозитории для установки последней версии Iceweasel  и выполнить команду :
# "# apt-get update && apt-get -t experimental install iceweasel iceweasel-l10n-ru"
deb ftp://mirror.yandex.ru/debian testing main contrib non-free
deb ftp://mirror.yandex.ru/debian sid main
deb ftp://mirror.yandex.ru/debian experimental main
затем установить Iceweasel
# apt-get update && apt-get -t experimental install iceweasel iceweasel-l10n-ruпосле успешной установки последней версии Iceweasel подключить рабочие репозитории и отключить или удалить дополнительные .


Что будет потом с пакетной базой? Да, ничего. Но, мало ли. Одна ошибка и системе конец. Я всё же люблю пользоваться http://mozilla.debian.net/.
 

Русскоязычное сообщество Debian GNU/Linux



Теги:
 

[РЕШЕНО] Установка пакетов из списка

Автор SuperGeek256

Ответов: 2
Просмотров: 916
Последний ответ 14 Июль 2014, 15:37:58
от SuperGeek256
Установка debian. Модули ядра не найдены.

Автор valikst

Ответов: 3
Просмотров: 2093
Последний ответ 20 Март 2013, 09:06:06
от fry
Установка ограниченных прав на нового пользователя

Автор madwayz1337

Ответов: 3
Просмотров: 578
Последний ответ 18 Сентябрь 2016, 18:08:19
от alsoijw
Установка 32-битных библиотек для запуска игр

Автор fureimu

Ответов: 10
Просмотров: 14153
Последний ответ 08 Июль 2013, 22:27:33
от ferum
Установка пакетов из testing

Автор Salder

Ответов: 6
Просмотров: 1780
Последний ответ 23 Январь 2017, 04:13:29
от ogost